OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.TransformFeedback

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVTransformFeedback :: MonadIO m => m Bool
- gl_NV_transform_feedback :: Bool
- pattern GL_ACTIVE_VARYINGS_NV :: GLenum
- pattern GL_ACTIVE_VARYING_MAX_LENGTH_NV :: GLenum
- pattern GL_BACK_PRIMARY_COLOR_NV :: GLenum
- pattern GL_BACK_SECONDARY_COLOR_NV :: GLenum
- pattern GL_CLIP_DISTANCE_NV :: GLenum
- pattern GL_GENERIC_ATTRIB_NV :: GLenum
- pattern GL_INTERLEAVED_ATTRIBS_NV :: GLenum
- pattern GL_LAYER_NV :: GLenum
- pattern GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV :: GLenum
- pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV :: GLenum
- pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV :: GLenum
- pattern GL_NEXT_BUFFER_NV :: GLenum
- pattern GL_PRIMITIVES_GENERATED_NV :: GLenum
- pattern GL_PRIMITIVE_ID_NV :: GLenum
- pattern GL_RASTERIZER_DISCARD_NV :: GLenum
- pattern GL_SEPARATE_ATTRIBS_NV :: GLenum
- pattern GL_SKIP_COMPONENTS1_NV :: GLenum
- pattern GL_SKIP_COMPONENTS2_NV :: GLenum
- pattern GL_SKIP_COMPONENTS3_NV :: GLenum
- pattern GL_SKIP_COMPONENTS4_NV :: GLenum
- pattern GL_TEXTURE_COORD_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_ATTRIBS_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_START_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_RECORD_NV :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_VARYINGS_NV :: GLenum
- pattern GL_VERTEX_ID_NV :: GLenum
- glActiveVaryingNV :: MonadIO m => GLuint -> Ptr GLchar -> m ()
- glBeginTransformFeedbackNV :: MonadIO m => GLenum -> m ()
- glBindBufferBaseNV :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glBindBufferOffsetNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> m ()
- glBindBufferRangeNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glEndTransformFeedbackNV :: MonadIO m => m ()
- glGetActiveVaryingNV :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetTransformFeedbackVaryingNV :: MonadIO m => GLuint -> GLuint -> Ptr GLint -> m ()
- glGetVaryingLocationNV :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glTransformFeedbackAttribsNV :: MonadIO m => GLsizei -> Ptr GLint -> GLenum -> m ()
- glTransformFeedbackStreamAttribsNV :: MonadIO m => GLsizei -> Ptr GLint -> GLsizei -> Ptr GLint -> GLenum -> m ()
- glTransformFeedbackVaryingsNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLint -> GLenum -> m ()

# Extension Support

glGetNVTransformFeedback :: MonadIO m => m Bool Source #

Is the NV_transform_feedback extension supported?

gl_NV_transform_feedback :: Bool Source #

Is the NV_transform_feedback extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVTransformFeedback` in those cases instead.

# Enums

pattern GL_ACTIVE_VARYINGS_NV :: GLenum Source #

pattern GL_ACTIVE_VARYING_MAX_LENGTH_NV :: GLenum Source #

pattern GL_BACK_PRIMARY_COLOR_NV :: GLenum Source #

pattern GL_BACK_SECONDARY_COLOR_NV :: GLenum Source #

pattern GL_CLIP_DISTANCE_NV :: GLenum Source #

pattern GL_GENERIC_ATTRIB_NV :: GLenum Source #

pattern GL_INTERLEAVED_ATTRIBS_NV :: GLenum Source #

pattern GL_LAYER_NV :: GLenum Source #

pattern GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV :: GLenum Source #

pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV :: GLenum Source #

pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV :: GLenum Source #

pattern GL_NEXT_BUFFER_NV :: GLenum Source #

pattern GL_PRIMITIVES_GENERATED_NV :: GLenum Source #

pattern GL_PRIMITIVE_ID_NV :: GLenum Source #

pattern GL_RASTERIZER_DISCARD_NV :: GLenum Source #

pattern GL_SEPARATE_ATTRIBS_NV :: GLenum Source #

pattern GL_SKIP_COMPONENTS1_NV :: GLenum Source #

pattern GL_SKIP_COMPONENTS2_NV :: GLenum Source #

pattern GL_SKIP_COMPONENTS3_NV :: GLenum Source #

pattern GL_SKIP_COMPONENTS4_NV :: GLenum Source #

pattern GL_TEXTURE_COORD_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_ATTRIBS_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_START_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_RECORD_NV :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_VARYINGS_NV :: GLenum Source #

pattern GL_VERTEX_ID_NV :: GLenum Source #

# Functions

glActiveVaryingNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m () |

glBeginTransformFeedbackNV Source #

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode` of type PrimitiveType.
-> m () |

This command is an alias for `glBeginTransformFeedback`.

glBindBufferBaseNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glBindBufferBase`.

glBindBufferOffsetNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> m () |

This command is an alias for `glBindBufferOffsetEXT`.

glBindBufferRangeNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

This command is an alias for `glBindBufferRange`.

glEndTransformFeedbackNV :: MonadIO m => m () Source #

This command is an alias for `glEndTransformFeedback`.

glGetActiveVaryingNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLsizei | `size` pointing to `1` element of type `GLsizei`.
-> Ptr GLenum | `type` pointing to `1` element of type `GLenum`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(program,index,bufSize)` elements of type `GLchar`.
-> m () |

glGetTransformFeedbackVaryingNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> Ptr GLint | `location` pointing to `1` element of type `GLint`.
-> m () |

glGetVaryingLocationNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLint |

glTransformFeedbackAttribsNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLint | `attribs` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> GLenum | `bufferMode`.
-> m () |

glTransformFeedbackStreamAttribsNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLint | `attribs` pointing to `count` elements of type `GLint`.
-> GLsizei | `nbuffers`.
-> Ptr GLint | `bufstreams` pointing to `nbuffers` elements of type `GLint`.
-> GLenum | `bufferMode`.
-> m () |

glTransformFeedbackVaryingsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `count`.
-> Ptr GLint | `locations` pointing to `count` elements of type `GLint`.
-> GLenum | `bufferMode`.
-> m () |